clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::ReturnAdjustment::VirtualAdjustment Union Reference

Holds the ABI-specific information about the virtual return adjustment, if needed. More...

`#include "clang/Basic/ABI.h"`

Collaboration diagram for clang::ReturnAdjustment::VirtualAdjustment:
[legend]

## Public Member Functions
| VirtualAdjustment ()
bool | Equals (const VirtualAdjustment &Other) const
bool | isEmpty () const
bool | Less (const VirtualAdjustment &RHS) const

## Public Attributes
struct {
int64_t VBaseOffsetOffset
| The offset (in bytes), relative to the address point of the virtual base class offset. More...
} | Itanium
struct {
uint32_t VBPtrOffset
| The offset (in bytes) of the vbptr, relative to the beginning of the derived class. More...
uint32_t VBIndex
| Index of the virtual base in the vbtable. More...
} | Microsoft

## Detailed Description

Holds the ABI-specific information about the virtual return adjustment, if needed.

Definition at line 48 of file ABI.h.

## Constructor & Destructor Documentation

## ◆ VirtualAdjustment()

clang::ReturnAdjustment::VirtualAdjustment::VirtualAdjustment | ( |  | ) |
| inline

Definition at line 66 of file ABI.h.

References memset().

## Member Function Documentation

## ◆ Equals()

bool clang::ReturnAdjustment::VirtualAdjustment::Equals | ( | const VirtualAdjustment & | Other | ) | const
| inline

Definition at line 70 of file ABI.h.

Referenced by isEmpty(), and clang::ThisAdjustment::VirtualAdjustment::isEmpty().

## ◆ isEmpty()

bool clang::ReturnAdjustment::VirtualAdjustment::isEmpty | ( |  | ) | const
| inline

Definition at line 74 of file ABI.h.

References Equals(), and clang::interp::Zero().

Referenced by clang::ReturnAdjustment::isEmpty(), and clang::ThisAdjustment::isEmpty().

## ◆ Less()

bool clang::ReturnAdjustment::VirtualAdjustment::Less | ( | const VirtualAdjustment & | RHS | ) | const
| inline

Definition at line 79 of file ABI.h.

References clang::ReturnAdjustment::Virtual.

## Member Data Documentation

## ◆ Itanium

struct { ... } clang::ReturnAdjustment::VirtualAdjustment::Itanium

Referenced by isStreamCharSpecialization(), and performTypeAdjustment().

## ◆ Microsoft

struct { ... } clang::ReturnAdjustment::VirtualAdjustment::Microsoft

Referenced by dumpMicrosoftThunkAdjustment().

## ◆ VBaseOffsetOffset

int64_t clang::ReturnAdjustment::VirtualAdjustment::VBaseOffsetOffset

The offset (in bytes), relative to the address point of the virtual base class offset.

Definition at line 53 of file ABI.h.

Referenced by isStreamCharSpecialization(), and performTypeAdjustment().

## ◆ VBIndex

uint32_t clang::ReturnAdjustment::VirtualAdjustment::VBIndex

Index of the virtual base in the vbtable.

Definition at line 63 of file ABI.h.

Referenced by dumpMicrosoftThunkAdjustment().

## ◆ VBPtrOffset

uint32_t clang::ReturnAdjustment::VirtualAdjustment::VBPtrOffset

The offset (in bytes) of the vbptr, relative to the beginning of the derived class.

Definition at line 60 of file ABI.h.

Referenced by dumpMicrosoftThunkAdjustment().

The documentation for this union was generated from the following file:

- include/clang/Basic/ABI.h